#

# -------- OPTIONS ---------------
options { long_hostnames(off); sync(0); };


# -------- SOURCES ---------------
source src { unix-stream("/dev/log"); internal(); file("/proc/kmsg"); };
	#source net { udp(); };


# -------- DESTINATIONS -----------
destination debug { file("/var/log/debug"); };
destination firewall { file("/var/log/firewall"); };
destination kern { file("/var/log/kern.log"); };
destination messages { file("/var/log/messages"); };
destination syslog { file("/var/log/syslog"); };
destination whodat { pipe("/etc/whodat-pipe"); };


# ----- FILTERS -----------
filter f_debug { level(debug) and not facility(local0, local3, local7); };
filter f_firewall { level(warning) and match("PROTO="); };
filter f_kern { facility(kern) and not match("PROTO="); };
filter f_messages { level(info, notice) \
        and not facility(auth, authpriv, mail, news, local0, local3); }; 
filter f_syslog { facility(syslog); };
filter f_whodat { facility(kern); };


# ------------- ACTIONS ---------------
log { source(src); filter(f_debug); destination(debug); };
#log { source(src); filter(f_firewall); destination(firewall); destination(whodat); };
log { source(src); filter(f_firewall); destination(firewall); };
#log { source(src); filter(f_whodat); destination(whodat); };
log { source(src); filter(f_kern); destination(kern); };
log { source(src); filter(f_messages); destination(messages); };
log { source(src); filter(f_syslog); destination(syslog); };
